Subject: bug#39670: closed (Re: bug#39670: Cannot mount NFS share as user or root)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Oct 2020 19:48:02 +0000

Your bug report

#39670: Cannot mount NFS share as user or root

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39670: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39670
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39670: Cannot mount NFS share as user or root
From: Maxim Cournoyer <[email-masked]>
To: Nathan Dehnel <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Oct 2020 15:49:04 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

> Nathan Dehnel <[email-masked]> writes:
>
>> Right, but it's more inconvenient than just clicking the share in thunar
>> and it mounting. Actually, I can't mount it without doing "sudo" first,
>> despite having the "user" fstab flag set. This actually might be a separate
>> issue, but I'm not sure.
>
> That's a good point.  We should try to make this simpler.  The mount.nfs
> binary needs to be setuid root to allow unprivileged users to mount NFS
> file systems.  Unfortunately, the mount command (which we already define
> as setuid-root) only looked for helpers under /run/current/profile/sbin.
> This is now fixed in commit def6e2ae4619587114383b3f8fd9f3cf8310b4b9
> (which had to be made on core-updates).
>

[...]

> I've sent a patch for review which proposes to add these setuid-root binaries for
> desktop users out-of-the-box on Guix System, which only adds about 4 MiB
> to the almost 3 GiB closure of the lightweight-desktop.tmpl system [0].
>
> As mentioned before, it depends on a change to util-linux that had to be
> made on the core-updates branch, so it won't be usable until the next
> core-updates merge.

This patch has now been merged with commit d40c9f6c85.

Closing!

Thank you,

Maxim

Subject: Re: Cannot mount NFS share as user or root
From: Maxim Cournoyer <[email-masked]>
To: Nathan Dehnel <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Feb 2020 16:33:51 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Nathan,

Nathan Dehnel <[email-masked]> writes:

> bash-5.0$ mount /media/store
> mount: /media/store: bad option; for several filesystems (e.g. nfs,
> cifs) you might need a /sbin/mount.<type> helper program
>
> /etc/config.scm:
>
> (file-system
>              (mount-point "/media/store")
>              (device "gentooserver:/")
>              (type "nfs4")
>              (mount? #f)
>              (create-mount-point? #t)
>              (options "rw,_netdev,noauto,user,lazytime,exec,tcp"))
>
> /etc/fstab:
>
> gentooserver:/ /media/store nfs4 rw,_netdev,noauto,user,lazytime,exec,tcp
>
> nfs-utils is installed:
>
> bash-5.0$ guix package -i nfs-utils
> The following package will be upgraded:
>    nfs-utils 2.4.2 → 2.4.2
> /gnu/store/chmbpkh0gvvmdhgwjw7rpl63f99mv7i6-nfs-utils-2.4.2
>
> nothing to be done

I encountered this too.  Perhaps we should patch some references to
mount.nfs (from nfs-utils) in the util-linux package which provides
'mount'.

In the meantime, you should use "mount.nfs" directly.

I'm opening an issue to track progress on this.

Thank you,

Maxim